Bug 325291 - [tag] new tag/group are not accessible after creation
Summary: [tag] new tag/group are not accessible after creation
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-25 10:48 UTC by David REVOY
Modified: 2013-12-17 10:24 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David REVOY 2013-09-25 10:48:27 UTC
Resume : If a user create a group/tag while painting, he can't assign brushes to this group/tag because Krita will not offer the possibility unless a restart. 

* To reproduce :
- On the 'Brush Preset' docker , select the '+' on the top-right of the docker.
- Create a new tag ( ex: testing ) , then press enter. 
- The docker switch view inside 'testing' empty group. 
- On the top tag drop-down list, go back to 'All Presets'
- Right-click on presets, and try to 'Assign Tag'

* Result :
- 'testing' group doesn't exist

* Expected
- 'testing' group being listed

*Workaround
- Krita needs to be restarted to refresh the ressources, tags, etc... and so, display the group.
Comment 1 Halla Rempt 2013-09-29 11:45:10 UTC
Yes, I see that happen :-(
Comment 2 Sven Langkamp 2013-09-29 22:38:06 UTC
There is a problem with the way we store tags. A tag is only save if it's associated with a tag, there is no "empty tag". Whatever you add the the top-right dropdown will be lost on the next start.

The same also happens if you remove all resource from a tag. Even though the comobox still shows it, it will be gone next time you start Krita.

Workaround would be to use only the right-click menu on the presets.
Comment 3 Halla Rempt 2013-12-11 14:24:14 UTC
Git commit 2923349d74880c6c51392746d8845f2d1e98694a by Boudewijn Rempt.
Committed on 11/12/2013 at 14:23.
Pushed by rempt into branch 'calligra/2.8'.

Remove Nepomuk integration

The default was the xml-file backend. The nepomuk ingegration was
basically unused, and having everyone use the same backend makes
support a lot easier.

M  +3    -20   CMakeLists.txt
M  +0    -3    KoConfig.h.cmake
M  +0    -42   krita/ui/dialogs/kis_dlg_preferences.cc
M  +0    -4    krita/ui/dialogs/kis_dlg_preferences.h
M  +1    -44   krita/ui/forms/wdggeneralsettings.ui
M  +0    -9    libs/widgets/CMakeLists.txt
M  +0    -10   libs/widgets/KoResourceServer.h
M  +2    -188  libs/widgets/KoResourceTagging.cpp
M  +0    -20   libs/widgets/KoResourceTagging.h
M  +1    -46   libs/widgets/tests/KoResourceTagging_test.cpp
M  +0    -3    libs/widgets/tests/KoResourceTagging_test.h

http://commits.kde.org/calligra/2923349d74880c6c51392746d8845f2d1e98694a
Comment 4 Halla Rempt 2013-12-11 14:24:29 UTC
Git commit 84ab7d7572b0e2e6eca49a34312d5380e794e2f8 by Boudewijn Rempt.
Committed on 11/12/2013 at 14:23.
Pushed by rempt into branch 'master'.

Remove Nepomuk integration

The default was the xml-file backend. The nepomuk ingegration was
basically unused, and having everyone use the same backend makes
support a lot easier.

M  +3    -20   CMakeLists.txt
M  +0    -3    KoConfig.h.cmake
M  +0    -42   krita/ui/dialogs/kis_dlg_preferences.cc
M  +0    -4    krita/ui/dialogs/kis_dlg_preferences.h
M  +1    -44   krita/ui/forms/wdggeneralsettings.ui
M  +0    -9    libs/widgets/CMakeLists.txt
M  +0    -10   libs/widgets/KoResourceServer.h
M  +2    -188  libs/widgets/KoResourceTagging.cpp
M  +0    -20   libs/widgets/KoResourceTagging.h
M  +1    -46   libs/widgets/tests/KoResourceTagging_test.cpp
M  +0    -3    libs/widgets/tests/KoResourceTagging_test.h

http://commits.kde.org/calligra/84ab7d7572b0e2e6eca49a34312d5380e794e2f8
Comment 5 Halla Rempt 2013-12-12 15:38:14 UTC
Next step: save unused tags in the xml file, then offer a gui to weed out unused tags.
Comment 6 Halla Rempt 2013-12-16 20:35:56 UTC
Git commit 6396c0ef2d5c67a5a5326debe3450057f0e3bcbe by Boudewijn Rempt.
Committed on 16/12/2013 at 20:33.
Pushed by rempt into branch 'master'.

Make it possible to add tags to a store without adding them to a resource

M  +2    -2    libs/widgets/CMakeLists.txt
M  +3    -3    libs/widgets/KoResourceFiltering.cpp
M  +2    -2    libs/widgets/KoResourceFiltering.h
M  +14   -14   libs/widgets/KoResourceServer.h
M  +1    -1    libs/widgets/KoResourceServerAdapter.cpp
M  +64   -85   libs/widgets/KoResourceServerAdapter.h
R  +24   -18   libs/widgets/KoResourceTagStore.cpp [from: libs/widgets/KoResourceTagging.cpp - 088% similarity]
R  +9    -6    libs/widgets/KoResourceTagStore.h [from: libs/widgets/KoResourceTagging.h - 084% similarity]
M  +2    -0    libs/widgets/KoResourceTaggingManager.cpp
M  +3    -3    libs/widgets/tests/KoResourceTagging_test.h

http://commits.kde.org/calligra/6396c0ef2d5c67a5a5326debe3450057f0e3bcbe
Comment 7 Halla Rempt 2013-12-16 20:36:07 UTC
Git commit cafd416da7f8f78d8b605f409cfa24ed0087678e by Boudewijn Rempt.
Committed on 16/12/2013 at 20:33.
Pushed by rempt into branch 'calligra/2.8'.

Make it possible to add tags to a store without adding them to a resource

M  +2    -2    libs/widgets/CMakeLists.txt
M  +3    -3    libs/widgets/KoResourceFiltering.cpp
M  +2    -2    libs/widgets/KoResourceFiltering.h
M  +14   -14   libs/widgets/KoResourceServer.h
M  +1    -1    libs/widgets/KoResourceServerAdapter.cpp
M  +64   -85   libs/widgets/KoResourceServerAdapter.h
R  +24   -18   libs/widgets/KoResourceTagStore.cpp [from: libs/widgets/KoResourceTagging.cpp - 088% similarity]
R  +9    -6    libs/widgets/KoResourceTagStore.h [from: libs/widgets/KoResourceTagging.h - 084% similarity]
M  +2    -0    libs/widgets/KoResourceTaggingManager.cpp
M  +3    -3    libs/widgets/tests/KoResourceTagging_test.h

http://commits.kde.org/calligra/cafd416da7f8f78d8b605f409cfa24ed0087678e
Comment 8 Halla Rempt 2013-12-17 10:24:20 UTC
Git commit e0439572c2088e30831359857f75395f9b6309d9 by Boudewijn Rempt.
Committed on 17/12/2013 at 10:22.
Pushed by rempt into branch 'master'.

Show newly created tags in the context menus

There's still a bit of a mess, in that deleted unused tags aren't cleaned
up, so we'll need a cleanup feature for that.

M  +14   -17   libs/widgets/KoResourceItemChooserContextMenu.cpp
M  +2    -1    libs/widgets/KoResourceModel.cpp
M  +4    -5    libs/widgets/KoResourceTaggingManager.cpp
M  +2    -0    libs/widgets/KoTagChooserWidget.cpp

http://commits.kde.org/calligra/e0439572c2088e30831359857f75395f9b6309d9
Comment 9 Halla Rempt 2013-12-17 10:24:30 UTC
Git commit f7d7be74cd418269ac86b398a9f6c7a0ff66abf8 by Boudewijn Rempt.
Committed on 17/12/2013 at 10:22.
Pushed by rempt into branch 'calligra/2.8'.

Show newly created tags in the context menus

There's still a bit of a mess, in that deleted unused tags aren't cleaned
up, so we'll need a cleanup feature for that.

M  +14   -17   libs/widgets/KoResourceItemChooserContextMenu.cpp
M  +2    -1    libs/widgets/KoResourceModel.cpp
M  +4    -5    libs/widgets/KoResourceTaggingManager.cpp
M  +2    -0    libs/widgets/KoTagChooserWidget.cpp

http://commits.kde.org/calligra/f7d7be74cd418269ac86b398a9f6c7a0ff66abf8